Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.tx
Class TransactionRequest

    java.lang.Object
      org.jboss.jms.tx.TransactionRequest

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class TransactionRequest
extends java.lang.Object
implements java.io.Externalizable

This class contians all the data needed to perform a JMS transaction.

Version:
  $Revision: 1.9 $ $Id: TransactionRequest.java,v 1.9 2006/04/29 02:43:41 ovidiu Exp $
Author:
  Tim Fox Partially based on JBossMQ version by:, Hiram Chirino, David Maplesden, Adrian Brock, Daniel Bloomfield Ramagem, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`static byte` | `ONE_PHASE_COMMIT_REQUEST`
`static byte` | `ONE_PHASE_ROLLBACK_REQUEST`
`protected int` | `requestType`
`protected TxState` | `state`
`static byte` | `TWO_PHASE_COMMIT_REQUEST`
`static byte` | `TWO_PHASE_PREPARE_REQUEST`
`static byte` | `TWO_PHASE_ROLLBACK_REQUEST`
`protected javax.transaction.xa.Xid` | `xid` For 2 phase commit, this identifies the transaction.

Constructor Summary
`TransactionRequest()`
`TransactionRequest(int requestType, javax.transaction.xa.Xid xid, TxState state)`

Method Summary
`int` | `getRequestType()`
`TxState` | `getState()`
`javax.transaction.xa.Xid` | `getXid()`
`void` | `readExternal(java.io.ObjectInput in)`
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ONE_PHASE_COMMIT_REQUEST

    public static final byte ONE_PHASE_COMMIT_REQUEST

See Also:
  Constant Field Values

### ONE_PHASE_ROLLBACK_REQUEST

    public static final byte ONE_PHASE_ROLLBACK_REQUEST

See Also:
  Constant Field Values

### TWO_PHASE_PREPARE_REQUEST

    public static final byte TWO_PHASE_PREPARE_REQUEST

See Also:
  Constant Field Values

### TWO_PHASE_COMMIT_REQUEST

    public static final byte TWO_PHASE_COMMIT_REQUEST

See Also:
  Constant Field Values

### TWO_PHASE_ROLLBACK_REQUEST

    public static final byte TWO_PHASE_ROLLBACK_REQUEST

See Also:
  Constant Field Values

### requestType

    protected int requestType

### xid

    protected javax.transaction.xa.Xid xid

  For 2 phase commit, this identifies the transaction.

### state

    protected TxState state

Constructor Detail

### TransactionRequest

    public TransactionRequest()

### TransactionRequest

    public TransactionRequest(int requestType,
                              javax.transaction.xa.Xid xid,
                              TxState state)

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getState

    public TxState getState()

### getXid

    public javax.transaction.xa.Xid getXid()

### getRequestType

    public int getRequestType()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.